# Uses of Class
javax.swing.JButton

Packages that use JButton
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.

## Uses of JButton in javax.swing

Fields in javax.swing declared as JButton
Modifier and Type
Field
Description
`protected JButton`
JRootPane.`defaultButton`
The button that gets activated when the pane has the focus and a UI-specific action like pressing the Enter key occurs.
Methods in javax.swing that return JButton
Modifier and Type
Method
Description
`JButton`
JToolBar.`add(Action a)`
Adds a new `JButton` which dispatches the action.
`protected JButton`
JToolBar.`createActionComponent(Action a)`
Factory method which creates the `JButton` for `Action`s added to the `JToolBar`.
`JButton`
JRootPane.`getDefaultButton()`
Returns the value of the `defaultButton` property.
Methods in javax.swing with parameters of type JButton
Modifier and Type
Method
Description
`protected PropertyChangeListener`
JToolBar.`createActionChangeListener(JButton b)`
Returns a properly configured `PropertyChangeListener` which updates the control as changes to the `Action` occur, or `null` if the default property change listener for the control is desired.
`void`
JRootPane.`setDefaultButton(JButton defaultButton)`
Sets the `defaultButton` property, which determines the current default button for this `JRootPane`.

## Uses of JButton in javax.swing.plaf

Methods in javax.swing.plaf that return JButton
Modifier and Type
Method
Description
`JButton`
FileChooserUI.`getDefaultButton(JFileChooser fc)`
Returns default button for current `LookAndFeel`.

## Uses of JButton in javax.swing.plaf.basic

Subclasses of JButton in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicArrowButton`
JButton object that draws a scaled Arrow in one of the cardinal directions.
Fields in javax.swing.plaf.basic declared as JButton
Modifier and Type
Field
Description
`protected JButton`
BasicComboBoxUI.`arrowButton`
The arrow button that invokes the popup.
`protected JButton`
BasicInternalFrameTitlePane.`closeButton`
The close button.
`protected JButton`
BasicScrollBarUI.`decrButton`
Decrement button
`protected JButton`
BasicInternalFrameTitlePane.`iconButton`
The iconify button.
`protected JButton`
BasicScrollBarUI.`incrButton`
Increment button
`protected JButton`
BasicSplitPaneDivider.`leftButton`
Button for quickly toggling the left component.
`protected JButton`
BasicInternalFrameTitlePane.`maxButton`
The maximize button.
`protected JButton`
BasicSplitPaneDivider.`rightButton`
Button for quickly toggling the right component.
Methods in javax.swing.plaf.basic that return JButton
Modifier and Type
Method
Description
`protected JButton`
BasicComboBoxUI.`createArrowButton()`
Creates a button which will be used as the control to show or hide the popup portion of the combo box.
`protected JButton`
BasicScrollBarUI.`createDecreaseButton(int orientation)`
Creates a decrease button.
`protected JButton`
BasicScrollBarUI.`createIncreaseButton(int orientation)`
Creates an increase button.
`protected JButton`
BasicSplitPaneDivider.`createLeftOneTouchButton()`
Creates and return an instance of `JButton` that can be used to collapse the left component in the split pane.
`protected JButton`
BasicSplitPaneDivider.`createRightOneTouchButton()`
Creates and return an instance of `JButton` that can be used to collapse the right component in the split pane.
`protected JButton`
BasicTabbedPaneUI.`createScrollButton(int direction)`
Creates and returns a JButton that will provide the user with a way to scroll the tabs in a particular direction.
`protected JButton`
BasicFileChooserUI.`getApproveButton(JFileChooser fc)`
Returns the approve button.

## Uses of JButton in javax.swing.plaf.metal

Subclasses of JButton in javax.swing.plaf.metal
Modifier and Type
Class
Description
`class`
`MetalComboBoxButton`
JButton subclass to help out MetalComboBoxUI
`class`
`MetalScrollButton`
JButton object for Metal scrollbar arrows.
Methods in javax.swing.plaf.metal that return JButton
Modifier and Type
Method
Description
`protected JButton`
MetalScrollBarUI.`createDecreaseButton(int orientation)`
Returns the view that represents the decrease view.
`protected JButton`
MetalScrollBarUI.`createIncreaseButton(int orientation)`
Returns the view that represents the increase view.